/**
 * AJAX helper for the inline editing a value.
 *
 * This script is automatically included from template core/inplace_editable
 * It registers a click-listener on [data-inplaceeditablelink] link (the "inplace edit" icon),
 * then replaces the displayed value with an input field. On "Enter" it sends a request
 * to web service core_update_inplace_editable, which invokes the specified callback.
 * Any exception thrown by the web service (or callback) is displayed as an error popup.
 *
 * @module     mod_booking/bookinginstancetemplateselect
 * @copyright  2019 Andraž Prinčič
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @since      4.5
 */
define("mod_booking/bookinginstancetemplateselect",["jquery","core/ajax"],(function($,ajax){return{init:function(){$("#id_instancetemplateid").change((function(){""!=$("#id_instancetemplateid").val()&&ajax.call([{methodname:"mod_booking_instancetemplate",args:{id:$("#id_instancetemplateid").val()},done:function(data){var obj=$.parseJSON(data.template);$("#id_name").val(obj.name),$("#id_eventtype").val(obj.eventtype),$("#id_introeditoreditable").html(obj.intro),$("#id_duration").val(obj.duration),$("#id_points").val(obj.points),$("#id_organizatorname").val(obj.organizatorname),$("#id_pollurl").val(obj.pollurl),$("#id_pollurlteachers").val(obj.pollurlteachers),$("#id_whichview").val(obj.whichview),$("#id_defaultoptionsort").val(obj.defaultoptionsort),$("#id_defaultsortorder").val(obj.defaultsortorder),$("#id_enablepresence").val(obj.enablepresence),$("#id_templateid").val(obj.templateid),$("#id_showlistoncoursepage").val(obj.showlistoncoursepage),$("#id_coursepageshortinfo").val(obj.coursepageshortinfo),$("#id_sendmail").val(obj.sendmail),$("#id_copymail").val(obj.copymail),$("#id_sendmailtobooker").val(obj.sendmailtobooker),$("#id_daystonotify").val(obj.daystonotify),$("#id_daystonotify2").val(obj.daystonotify2),$("#id_daystonotifyteachers").val(obj.daystonotifyteachers),$("#id_mailtemplatessource").val(obj.mailtemplatessource),$("#id_bookedtexteditable").html(obj.bookedtext),$("#id_waitingtexteditable").html(obj.waitingtext),$("#id_notifyemaileditable").html(obj.notifyemail),$("#id_notifyemailteacherseditable").html(obj.notifyemailteachers),$("#id_statuschangetexteditable").html(obj.statuschangetext),$("#id_userleaveeditable").html(obj.userleave),$("#id_deletedtexteditable").html(obj.deletedtext),$("#id_bookingchangedtexteditable").html(obj.bookingchangedtext),$("#id_pollurltexteditable").html(obj.pollurltext),$("#id_pollurlteacherstexteditable").html(obj.pollurlteacherstext),$("#id_activitycompletiontexteditable").html(obj.activitycompletiontext),$("#id_btncacname").val(obj.btncacname),$("#id_lblteachname").val(obj.lblteachname),$("#id_lblsputtname").val(obj.lblsputtname),$("#id_btnbooknowname").val(obj.btnbooknowname),$("#id_btncancelname").val(obj.btncancelname),$("#id_lblbooking").val(obj.lblbooking),$("#id_lbllocation").val(obj.lbllocation),$("#id_lblinstitution").val(obj.lblinstitution),$("#id_lblname").val(obj.lblname),$("#id_lblsurname").val(obj.lblsurname),$("#id_booktootherbooking").val(obj.booktootherbooking),$("#id_lblacceptingfrom").val(obj.lblacceptingfrom),$("#id_lblnumofusers").val(obj.lblnumofusers),$("#id_bookingpolicyeditable").html(obj.bookingpolicy),$("#id_cancancelbook").val(obj.cancancelbook),$("#id_allowupdate").val(obj.allowupdate),$("#id_allowupdatedays").val(obj.allowupdatedays),$("#id_autoenrol").val(obj.autoenrol),$("#id_addtogroup").val(obj.addtogroup),$("#id_maxperuser").val(obj.maxperuser),$("#id_showinapi").val(obj.showinapi),$("#id_numgenerator").val(obj.numgenerator),$("#id_paginationnum").val(obj.paginationnum),$("#id_banusernames").val(obj.banusernames),$("#id_completionmodule").val(obj.completionmodule),$("#id_comments").val(obj.comments),$("#id_ratings").val(obj.ratings),$("#id_removeuseronunenrol").val(obj.removeuseronunenrol),$("#id_categoryid").val(JSON.parse("["+obj.categoryid+"]")),$("#id_beforecompletedtexteditable").html(obj.beforecompletedtext),$("#id_aftercompletedtexteditable").html(obj.aftercompletedtext),$("#id_beforebookedtexteditable").html(obj.beforebookedtext),$("#id_conectedbooking").val(obj.conectedbooking),$("#id_teacherroleid").val(obj.teacherroleid),$("#id_assessed").val(obj.assessed)}}],!0)}))}}}));

//# sourceMappingURL=bookinginstancetemplateselect.min.js.map